/**
 * Copyright (C) 2009 Future Invent Informationsmanagement GmbH. All rights
 * reserved. <http://www.fuin.org/>
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 3 of the License, or (at your option) any
 * later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library. If not, see <http://www.gnu.org/licenses/>.
 */
package org.fuin.jmsmvc4swing.base;

/**
 * Something that can be configured concerning it's "busy" UI.
 */
public interface BusyConfigurable {

    /**
     * Sets the UI busy informations.
     * 
     * @param cancelable
     *            The unit that will possibly be cancelled.
     * @param determinate
     *            Information if the progress is determinate.
     */
    public void configure(Cancelable cancelable, boolean determinate);

}
